import type { ModuleWithProviders } from '@angular/core';
import type { NgxFormulusConfig } from './interfaces/ngx-formulus-config';
import * as i0 from "@angular/core";
import * as i1 from "./components/dynamic-form/dynamic-form.component";
import * as i2 from "./components/controls/base-control/base-control.component";
import * as i3 from "./directives/dynamic-control/dynamic-control.directive";
import * as i4 from "./directives/form-control/form-control.directive";
import * as i5 from "./components/controls/input-control/input-control.component";
import * as i6 from "./components/controls/checkbox-control/checkbox-control.component";
import * as i7 from "./components/controls/radio-control/radio-control.component";
import * as i8 from "./components/controls/select-control/select-control.component";
import * as i9 from "./components/controls/toggle-control/toggle-control.component";
import * as i10 from "./components/controls/text-control/text-control.component";
import * as i11 from "./components/controls/datepicker-control/datepicker-control.component";
import * as i12 from "./components/controls/timepicker-control/timepicker-control.component";
import * as i13 from "./components/form-elements/save-button/save-button.component";
import * as i14 from "./components/form-elements/close-button/close-button.component";
import * as i15 from "./components/form-elements/reset-button/reset-button.component";
import * as i16 from "@angular/common";
import * as i17 from "@angular/forms";
export declare class NgxFormulusModule {
    static forRoot(config?: NgxFormulusConfig): ModuleWithProviders<NgxFormulusModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxFormulusModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxFormulusModule, [typeof i1.DynamicFormComponent, typeof i2.BaseControlComponent, typeof i3.DynamicControlDirective, typeof i4.FormControlDirective, typeof i5.InputControlComponent, typeof i6.CheckboxControlComponent, typeof i7.RadioControlComponent, typeof i8.SelectControlComponent, typeof i9.ToggleControlComponent, typeof i10.TextControlComponent, typeof i11.DatepickerControlComponent, typeof i12.TimepickerControlComponent, typeof i13.SaveButtonComponent, typeof i14.CloseButtonComponent, typeof i15.ResetButtonComponent], [typeof i16.CommonModule, typeof i17.ReactiveFormsModule, typeof i17.FormsModule], [typeof i1.DynamicFormComponent, typeof i2.BaseControlComponent, typeof i5.InputControlComponent, typeof i6.CheckboxControlComponent, typeof i11.DatepickerControlComponent, typeof i7.RadioControlComponent, typeof i8.SelectControlComponent, typeof i10.TextControlComponent, typeof i12.TimepickerControlComponent, typeof i9.ToggleControlComponent, typeof i10.TextControlComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxFormulusModule>;
}
